<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Current Beer"</title>
    <link rel="stylesheet" th:href="@{/style.css}" href="style.css"/>
</head>
<body th:object="${displayBeer}">
<h2 th:text="*{name}"></h2>
<br><br>
<div th:text="${displayBeer.image}" th:hidden="hidden" id="base64"></div>
<img id="ItemPreview" src="" alt="no img here bruh">
<br><br>
    <div class="cell" th:text="#{beers.header.rating}">Rating</div>
<div th:text="*{rating}"></div>
<br><br>
    <div class="cell" th:text="#{beers.header.abv}">ABV</div>
<div th:text="*{ABV}"></div>
<br><br>
    <div class="cell" th:text="#{beers.header.style}">Style</div>
<div th:text="*{style.name}"></div>
<br><br>
    <div class="cell" th:text="#{beers.header.brewery}"></div>
<div th:text="*{brewery.name}"></div>
<br><br>
    <div class="cell" th:text="#{beers.header.country}"></div>
<div th:text="*{originCountry.countryName}"></div>
<br><br>
    <div class="cell" th:text="#{beers.header.description}"></div>
<div th:text="*{description}"></div>
<br><br>
    <div class="cell" th:text="#{beers.header.tags}"></div>
<div th:each="tag:${displayBeer.tags}">
    <div th:text="${tag.name}"></div>
</div>

<br><br>
<form action="#" th:action="@{/beers/{id}(id=${displayBeer.id})}" th:method="delete">
    <input type="submit" value="Delete Beer"/>
</form>
<script>document.getElementById("ItemPreview").src = "data:image/png;base64," + document.getElementById("base64").innerText</script>
</body>
</html>